package net.wanji.opt.dao.mapper.strategy;

import net.wanji.opt.po.strategy.ScenePO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:33
 */
@Repository
public interface SceneMapper {

    void insertOne(ScenePO scenePO);

    void deleteByIds(List<Integer> ids);

    void updateOne(ScenePO scenePO);

    List<ScenePO> selectByNameAndTarget(String sceneName, Integer sceneTarget);
}
